Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-roa
%define fedora 19
# Created by pyp2rpm-0.3.1
%global pypi_name django-roa

Name:           python-module-django-roa
Version:        1.7
Release:        alt1_3
Summary:        Turn your models into remote resources that you can access through Django's ORM

License:        BSD
URL:            http://pypi.python.org/pypi/django-roa/1.7
Source0:        http://pypi.python.org/packages/source/d/django-roa/django-roa-1.7.tar.gz
Source1:        http://code.larlet.fr/django-roa/raw/08359f107f32/LICENSE
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

%if 0%{?fedora} < 18
%else
%endif
Source44: import.info


%description
Turn your models into remote resources that you can access through
Django's ORM. ROA stands for Resource Oriented Architecture.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_docdir}/%{oldname}-%{version}
mv %{buildroot}%{python_sitelibdir_noarch}/examples %{buildroot}%{_docdir}/%{oldname}-%{version}


%files
%doc LICENSE
%{python_sitelibdir_noarch}/django_roa
%{python_sitelibdir_noarch}/django_roa-%{version}-py?.?.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_3
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_2
- initial fc import

